from django.contrib import admin
from models import *

class ManifestAdmin(admin.ModelAdmin):
    pass

class GoodInline(admin.TabularInline):
    model = Good
    extra = 10

class ShipAdmin(admin.ModelAdmin):
    inlines = [GoodInline]
    list_filter = ('bill_type', 'manifest_file',)
    list_display = ('__unicode__', 'bill_type', 'number', 'date', 'flag', 'captain', 'owner', 'port', 'country', 'no_of_goods',)

class GoodAdmin(admin.ModelAdmin):
    pass


admin.site.register(Manifest, ManifestAdmin)
admin.site.register(Good, GoodAdmin)
admin.site.register(Ship, ShipAdmin)
